Bug 258706

Summary: Plasma crash in [QString, KIconEffect::fingerprint, KIconLoaderPrivate::makeCacheKey, KIconLoader::loadIcon]
Product: plasma4 Reporter: loloros
Component: generalAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: alikatze, alvineloy, andreaswuest, andresbajotierra, arrenlex, atalanttore, bbsfens, bugs.kde.org, carney.fex, christopher.lawrence86, computerdude.phx, dimitri.kokkonis, ekel, gabuuh1, galvao, i.fothergill, kurcjakub, leggis, listin, mark, marsu1, mercatino13, mkjclifford, nevasith, nonameflas, ralph.ostrander, rogier, sebastianscatularo, superpacko, teo78, thiagoshr, timlighty, Uriel.home, vamp898, westsideseattlite, zerobaba, zhakmaia, zoloxyan
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.6.4
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description loloros 2010-12-03 17:05:07 UTC
Application: plasma-desktop (0.3)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-23-generic-pae i686
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
Listen music with amarok, messenger with kopete, internet with google chrome
- Unusual behavior I noticed:
slowdowns

The crash can be reproduced every time.

-- Backtrace:
Application: Área de trabajo de Plasma (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb1b8fa30 (LWP 1610))]

Thread 6 (Thread 0xa8169b70 (LWP 1662)):
#0  0xb3aa0e36 in clock_gettime () from /lib/librt.so.1
#1  0xb666450b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0xb673b6e5 in QTimerInfoList::updateCurrentTime (this=0xa9400fbc) at kernel/qeventdispatcher_unix.cpp:339
#4  0xb673b72a in QTimerInfoList::timerWait (this=0xa9400fbc, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb67397a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa8168ffc) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb673983d in timerSourcePrepare (source=0x0, timeout=0xb3aa4ff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb3a0ee6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0xb3a0f279 in ?? () from /lib/libglib-2.0.so.0
#9  0xb3a0f848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0xb673959f in QEventDispatcherGlib::processEvents (this=0x906c260, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0xb6709609 in QEventLoop::processEvents (this=0xa81691d0, flags=) at kernel/qeventloop.cpp:149
#12 0xb6709a8a in QEventLoop::exec (this=0xa81691d0, flags=...) at kernel/qeventloop.cpp:201
#13 0xb6605b7e in QThread::exec (this=0x906bdd8) at thread/qthread.cpp:490
#14 0xb66e835b in QInotifyFileSystemWatcherEngine::run (this=0x906bdd8) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb6608df9 in QThreadPrivate::start (arg=0x906bdd8) at thread/qthread_unix.cpp:266
#16 0xb3fb0ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 5 (Thread 0xa65cab70 (LWP 6103)):
#0  0xb77ed424 in __kernel_vsyscall ()
#1  0xb65974dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb76f2dbd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb66099c7 in wait (this=0x93a5e20, mutex=0x93a57b8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x93a5e20, mutex=0x93a57b8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4393030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x93a5e08, th=0x9e04448) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb43967dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x93a6128, th=0x9e04448) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb439255b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x93a5e08, th=0x9e04448) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb43968d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93a6128, th=0x9e04448) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4393533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93a5e08, th=0x9e04448, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb43968f1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93a6128, th=0x9e04448) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4393533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93a5e08, th=0x9e04448, previous=0x9c7b220) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb439495e in ThreadWeaver::ThreadRunHelper::run (this=0xa65ca234, parent=0x93a5e08, th=0x9e04448) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb439507b in ThreadWeaver::Thread::run (this=0x9e04448) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb6608df9 in QThreadPrivate::start (arg=0x9e04448) at thread/qthread_unix.cpp:266
#15 0xb3fb0ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 4 (Thread 0xa7932b70 (LWP 6104)):
#0  0xb77ed424 in __kernel_vsyscall ()
#1  0xb65974dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb76f2dbd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb66099c7 in wait (this=0x93a5e20, mutex=0x93a57b8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x93a5e20, mutex=0x93a57b8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4393030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x93a5e08, th=0x9c77a78) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb43967dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x93a6128, th=0x9c77a78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb439255b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x93a5e08, th=0x9c77a78) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb43968d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93a6128, th=0x9c77a78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4393533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93a5e08, th=0x9c77a78, previous=0x9e29d40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb439495e in ThreadWeaver::ThreadRunHelper::run (this=0xa7932234, parent=0x93a5e08, th=0x9c77a78) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb439507b in ThreadWeaver::Thread::run (this=0x9c77a78) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb6608df9 in QThreadPrivate::start (arg=0x9c77a78) at thread/qthread_unix.cpp:266
#13 0xb3fb0ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 3 (Thread 0xa5dc9b70 (LWP 6105)):
#0  0xb77ed424 in __kernel_vsyscall ()
#1  0xb65974dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb76f2dbd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb66099c7 in wait (this=0x93a5e20, mutex=0x93a57b8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x93a5e20, mutex=0x93a57b8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4393030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x93a5e08, th=0x94f3698) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb43967dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x93a6128, th=0x94f3698) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb439255b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x93a5e08, th=0x94f3698) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb43968d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93a6128, th=0x94f3698) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4393533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93a5e08, th=0x94f3698, previous=0xa0c4cd8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb439495e in ThreadWeaver::ThreadRunHelper::run (this=0xa5dc9234, parent=0x93a5e08, th=0x94f3698) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb439507b in ThreadWeaver::Thread::run (this=0x94f3698) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb6608df9 in QThreadPrivate::start (arg=0x94f3698) at thread/qthread_unix.cpp:266
#13 0xb3fb0ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 2 (Thread 0xa53ffb70 (LWP 6106)):
#0  0xb77ed424 in __kernel_vsyscall ()
#1  0xb65974dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb76f2dbd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb66099c7 in wait (this=0x93a5e20, mutex=0x93a57b8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x93a5e20, mutex=0x93a57b8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4393030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x93a5e08, th=0xa9401b10) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb43967dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x93a6128, th=0xa9401b10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb439255b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x93a5e08, th=0xa9401b10) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb43968d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93a6128, th=0xa9401b10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4393533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93a5e08, th=0xa9401b10, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb43968f1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93a6128, th=0xa9401b10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4393533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93a5e08, th=0xa9401b10, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb43968f1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93a6128, th=0xa9401b10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4393533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93a5e08, th=0xa9401b10, previous=0x9f51fc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb439495e in ThreadWeaver::ThreadRunHelper::run (this=0xa53ff234, parent=0x93a5e08, th=0xa9401b10) at ../../../threadweaver/Weaver/Thread.cpp:87
#15 0xb439507b in ThreadWeaver::Thread::run (this=0xa9401b10) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0xb6608df9 in QThreadPrivate::start (arg=0xa9401b10) at thread/qthread_unix.cpp:266
#17 0xb3fb0ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 1 (Thread 0xb1b8fa30 (LWP 1610)):
[KCrash Handler]
#7  0xb6cbc30b in QString (this=0x9bd0048, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#8  KIconEffect::fingerprint (this=0x9bd0048, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:158
#9  0xb6cc3870 in KIconLoaderPrivate::makeCacheKey (this=0x9bd0034, name=..., group=KIconLoader::Desktop, overlays=..., size=16, state=0) at ../../kdeui/icons/kiconloader.cpp:772
#10 0xb6ccab78 in KIconLoader::loadIcon (this=0x8a968f0, _name=..., group=KIconLoader::Desktop, size=16, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1213
#11 0xb6cc12d6 in KIconEngine::pixmap (this=0x93f7bb8, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
#12 0xb5cb4626 in QIcon::pixmap (this=0xbf833b34, size=..., mode=QIcon::Normal, state=QIcon::Off) at image/qicon.cpp:676
#13 0xb6d27294 in KStyle::drawKStylePrimitive (this=0x8ae8640, widgetType=KStyle::WT_MenuItem, primitive=65536, opt=0xbf834270, r=..., pal=..., flags=..., p=0xbf8343dc, widget=0x9c7ce70, kOpt=0xbf833b2c) at ../../kdeui/kernel/kstyle.cpp:833
#14 0xb177cfb2 in Oxygen::Style::drawKStylePrimitive (this=0x8ae8640, widgetType=KStyle::WT_MenuItem, primitive=65536, opt=0xbf834270, r=..., palette=..., flags=..., p=0xbf8343dc, widget=0x9c7ce70, kOpt=0xbf833b2c) at ../../../kstyles/oxygen/oxygenstyle.cpp:1149
#15 0xb6d31a00 in KStyle::drawControl (this=0x8ae8640, element=QStyle::CE_MenuItem, option=0xbf834270, p=0xbf8343dc, widget=0x9c7ce70) at ../../kdeui/kernel/kstyle.cpp:1976
#16 0xb17919df in Oxygen::Style::drawControl (this=0x8ae8640, element=QStyle::CE_MenuItem, option=0xbf834270, p=0xbf8343dc, widget=0x9c7ce70) at ../../../kstyles/oxygen/oxygenstyle.cpp:1015
#17 0xb60be62b in QMenu::paintEvent (this=0x9c7ce70, e=0xbf834a04) at widgets/qmenu.cpp:2176
#18 0xb5c4dcc6 in QWidget::event (this=0x9c7ce70, event=0xbf834a04) at kernel/qwidget.cpp:8333
#19 0xb60be02f in QMenu::event (this=0x9c7ce70, e=0xbf834a04) at widgets/qmenu.cpp:2410
#20 0xb5beffdc in QApplicationPrivate::notify_helper (this=0x8a9ef30, receiver=0x9c7ce70, e=0xbf834a04) at kernel/qapplication.cpp:4396
#21 0xb5bf60e9 in QApplication::notify (this=0x8a915c8, receiver=0x9c7ce70, e=0xbf834a04) at kernel/qapplication.cpp:4361
#22 0xb6d1968a in KApplication::notify (this=0x8a915c8, receiver=0x9c7ce70, event=0xbf834a04) at ../../kdeui/kernel/kapplication.cpp:310
#23 0xb670ab3b in QCoreApplication::notifyInternal (this=0x8a915c8, receiver=0x9c7ce70, event=0xbf834a04) at kernel/qcoreapplication.cpp:732
#24 0xb5c54ee6 in sendSpontaneousEvent (this=0x99c4510, pdev=0x97439fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9f7e6e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#25 QWidgetPrivate::drawWidget (this=0x99c4510, pdev=0x97439fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9f7e6e0) at kernel/qwidget.cpp:5420
#26 0xb5e45c74 in QWidgetBackingStore::sync (this=0x9f7e6e0) at painting/qbackingstore.cpp:1328
#27 0xb5e460ea in QWidgetBackingStore::sync (this=0x9f7e6e0, exposedWidget=0x9c7ce70, exposedRegion=...) at painting/qbackingstore.cpp:1130
#28 0xb5c47202 in QWidgetPrivate::syncBackingStore (this=0x99c4510, region=...) at kernel/qwidget.cpp:1820
#29 0xb5c75008 in QETWidget::translatePaintEvent (this=0x9c7ce70, event=0xbf83529c) at kernel/qapplication_x11.cpp:5117
#30 0xb5c828aa in QApplication::x11ProcessEvent (this=0x8a915c8, event=0xbf83529c) at kernel/qapplication_x11.cpp:3436
#31 0xb5cb236a in x11EventSourceDispatch (s=0x8aa21a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#32 0xb3a0b855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#33 0xb3a0f668 in ?? () from /lib/libglib-2.0.so.0
#34 0xb3a0f848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#35 0xb6739565 in QEventDispatcherGlib::processEvents (this=0x8a3cd00, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#36 0xb5cb1be5 in QGuiEventDispatcherGlib::processEvents (this=0x8a3cd00, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#37 0xb6709609 in QEventLoop::processEvents (this=0xbf835590, flags=) at kernel/qeventloop.cpp:149
#38 0xb6709a8a in QEventLoop::exec (this=0xbf835590, flags=...) at kernel/qeventloop.cpp:201
#39 0xb60b8efe in QMenu::exec (this=0x9c7ce70, p=..., action=0x0) at widgets/qmenu.cpp:2054
#40 0xaa014e1b in SystemTray::DBusSystemTrayWidget::showContextMenu (this=0xa01eb40, job=0x9e131d8) at ../../../../../plasma/generic/applets/systemtray/protocols/dbussystemtray/dbussystemtraywidget.cpp:124
#41 0xaa001257 in SystemTray::DBusSystemTrayWidget::qt_metacall (this=0xa01eb40, _c=QMetaObject::InvokeMetaMethod, _id=39, _a=0xbf8357f8) at moc_dbussystemtraywidget.cpp:82
#42 0xb67108ca in QMetaObject::metacall (object=0xa01eb40, cl=QMetaObject::InvokeMetaMethod, idx=39, argv=0xbf8357f8) at kernel/qmetaobject.cpp:237
#43 0xb67236ad in QMetaObject::activate (sender=0x9e131d8, m=0xb6b39b48, local_signal_index=3, argv=0x2d0038) at kernel/qobject.cpp:3280
#44 0xb69c68a3 in KJob::result (this=0x9e131d8, _t1=0x9e131d8) at ./kjob.moc:194
#45 0xb69c6c08 in KJob::emitResult (this=0x9e131d8) at ../../kdecore/jobs/kjob.cpp:312
#46 0xb74f05a7 in Plasma::ServiceJob::setResult (this=0x9e131d8, result=...) at ../../plasma/servicejob.cpp:80
#47 0xa9fe7d6d in StatusNotifierItemJob::contextMenuReady (this=0x9e131d8, menu=0x9c7ce70) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#48 0xa9fe7ded in StatusNotifierItemJob::qt_metacall (this=0x9e131d8, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0xbf8359c8) at ./statusnotifieritemjob.moc:75
#49 0xb67108ca in QMetaObject::metacall (object=0x9e131d8, cl=QMetaObject::InvokeMetaMethod, idx=27, argv=0xbf8359c8) at kernel/qmetaobject.cpp:237
#50 0xb67236ad in QMetaObject::activate (sender=0x9f899e0, m=0xa9feec40, local_signal_index=0, argv=0x2d0038) at kernel/qobject.cpp:3280
#51 0xa9fe10a3 in StatusNotifierItemSource::contextMenuReady (this=0x9f899e0, _t1=0x9c7ce70) at ./statusnotifieritemsource.moc:109
#52 0xa9fe12b1 in StatusNotifierItemSource::contextMenuReady (this=0x9f899e0) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp:369
#53 0xa9fe6803 in StatusNotifierItemSource::qt_metacall (this=0x9f899e0, _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0xbf835aec) at ./statusnotifieritemsource.moc:90
#54 0xb67108ca in QMetaObject::metacall (object=0x9f899e0, cl=QMetaObject::InvokeMetaMethod, idx=11, argv=0xbf835aec) at kernel/qmetaobject.cpp:237
#55 0xb67236ad in QMetaObject::activate (sender=0xa0ce2f0, m=0xb3b31d84, local_signal_index=0, argv=0x2d0038) at kernel/qobject.cpp:3280
#56 0xb3b1c567 in DBusMenuImporter::menuUpdated() () from /usr/lib/libdbusmenu-qt.so.2
#57 0xb3b21cdc in DBusMenuImporter::slotMenuAboutToShow() () from /usr/lib/libdbusmenu-qt.so.2
#58 0xb3b22f2b in DBusMenuImporter::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libdbusmenu-qt.so.2
#59 0xb67108ca in QMetaObject::metacall (object=0xa0ce2f0, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xbf835d2c) at kernel/qmetaobject.cpp:237
#60 0xb67236ad in QMetaObject::activate (sender=0x9c7ce70, m=0xb6574fe8, local_signal_index=0, argv=0x2d0038) at kernel/qobject.cpp:3280
#61 0xb60b3ee7 in QMenu::aboutToShow (this=0x9c7ce70) at .moc/release-shared/moc_qmenu.cpp:151
#62 0xb60bb193 in QMenu::qt_metacall (this=0x9c7ce70, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbf835e7c) at .moc/release-shared/moc_qmenu.cpp:97
#63 0xb67108ca in QMetaObject::metacall (object=0x9c7ce70, cl=QMetaObject::InvokeMetaMethod, idx=27, argv=0xbf835e7c) at kernel/qmetaobject.cpp:237
#64 0xb6714352 in QMetaMethod::invoke (this=0xbf83600c, object=0x9c7ce70, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1575
#65 0xb6715a1f in QMetaObject::invokeMethod (obj=0x9c7ce70, member=0xb3b283e1 "aboutToShow", type=Qt::AutoConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1148
#66 0xb3b1c93e in DBusMenuImporter::updateMenu() () from /usr/lib/libdbusmenu-qt.so.2
#67 0xa9fe26ef in StatusNotifierItemSource::contextMenu (this=0x9f899e0, x=1105, y=749) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp:474
#68 0xa9fe933e in StatusNotifierItemJob::start (this=0x9e131d8) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:43
#69 0xb74f0423 in Plasma::ServiceJobPrivate::slotStart (this=0x9d49d90) at ../../plasma/servicejob.cpp:37
#70 0xb74f04f4 in Plasma::ServiceJob::qt_metacall (this=0x9e131d8, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0x9f6e6d8) at ./servicejob.moc:72
#71 0xa9fe7dca in StatusNotifierItemJob::qt_metacall (this=0x9e131d8, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0x9f6e6d8) at ./statusnotifieritemjob.moc:70
#72 0xb67108ca in QMetaObject::metacall (object=0x9e131d8, cl=QMetaObject::InvokeMetaMethod, idx=26, argv=0x9f6e6d8) at kernel/qmetaobject.cpp:237
#73 0xb671bdf6 in QMetaCallEvent::placeMetaCall (this=0x9e4c000, object=0x9e131d8) at kernel/qobject.cpp:534
#74 0xb671d6a2 in QObject::event (this=0x9e131d8, e=0x0) at kernel/qobject.cpp:1219
#75 0xb5beffdc in QApplicationPrivate::notify_helper (this=0x8a9ef30, receiver=0x9e131d8, e=0x9e4c000) at kernel/qapplication.cpp:4396
#76 0xb5bf604e in QApplication::notify (this=0x8a915c8, receiver=0x9e131d8, e=0x9e4c000) at kernel/qapplication.cpp:3798
#77 0xb6d1968a in KApplication::notify (this=0x8a915c8, receiver=0x9e131d8, event=0x9e4c000) at ../../kdeui/kernel/kapplication.cpp:310
#78 0xb670ab3b in QCoreApplication::notifyInternal (this=0x8a915c8, receiver=0x9e131d8, event=0x9e4c000) at kernel/qcoreapplication.cpp:732
#79 0xb670dd8b in sendEvent (receiver=0x0, event_type=0, data=0x8a3d040) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#80 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8a3d040) at kernel/qcoreapplication.cpp:1373
#81 0xb670df4d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#82 0xb6739a74 in sendPostedEvents (s=0x8aa1310) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#83 postEventSourceDispatch (s=0x8aa1310) at kernel/qeventdispatcher_glib.cpp:277
#84 0xb3a0b855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#85 0xb3a0f668 in ?? () from /lib/libglib-2.0.so.0
#86 0xb3a0f848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#87 0xb6739565 in QEventDispatcherGlib::processEvents (this=0x8a3cd00, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#88 0xb5cb1be5 in QGuiEventDispatcherGlib::processEvents (this=0x8a3cd00, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#89 0xb6709609 in QEventLoop::processEvents (this=0xbf836de4, flags=) at kernel/qeventloop.cpp:149
#90 0xb6709a8a in QEventLoop::exec (this=0xbf836de4, flags=...) at kernel/qeventloop.cpp:201
#91 0xb670e00f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#92 0xb5beee07 in QApplication::exec () at kernel/qapplication.cpp:3672
#93 0xb77b686e in kdemain (argc=1, argv=0xbf836ff4) at ../../../../plasma/desktop/shell/main.cpp:118
#94 0x080485bb in main (argc=1, argv=0xbf836ff4) at plasma-desktop_dummy.cpp:3

Possible duplicates by query: bug 254590, bug 251227, bug 248298, bug 247542, bug 226596.

Reported using DrKonqi
Comment 1 Dario Andres 2010-12-04 15:33:00 UTC
[Comment from a bug triager]
This is likely to be related to bug 226596. Regards
Comment 2 Dario Andres 2010-12-23 00:00:27 UTC
*** Bug 261012 has been marked as a duplicate of this bug. ***
Comment 3 Nicolas L. 2011-01-10 22:13:57 UTC
*** Bug 262756 has been marked as a duplicate of this bug. ***
Comment 4 Dario Andres 2011-01-22 12:47:49 UTC
[Comment from a bug triager]
From bug 263927:
- What I was doing when the application crashed:
I was trying to edit the Artist and Album for a song in Amarok. When I tried to
save my changes, amarok crashed. When the window manager asked me whether I
wanted to close Amarok (application not responding), I clicked yes. This
resulted in a plasma crash.
Comment 5 Dario Andres 2011-01-22 12:47:55 UTC
*** Bug 263927 has been marked as a duplicate of this bug. ***
Comment 6 Dario Andres 2011-01-23 15:31:10 UTC
[Comment from a bug triager]
Bug 264031 mentions a different situation for a similar backtrace:
-- Information about the crash:
I opened 'System tray properties' dialog, firstly it freezed after showing and
then in several minutes Plasma crashed.
Comment 7 Aaron J. Seigo 2011-01-27 23:09:15 UTC
*** Bug 264031 has been marked as a duplicate of this bug. ***
Comment 8 Aaron J. Seigo 2011-03-05 06:07:34 UTC
*** Bug 267676 has been marked as a duplicate of this bug. ***
Comment 9 Johannes Schwall 2011-03-06 00:15:21 UTC
Created attachment 57708 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:

closed amarok after playing a few songs, nothing special

-- Backtrace (Reduced):
#6  0x00007f2d03ac6a7a in QString (this=0x3cc0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x3cc0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f2d03aca4be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f2d03ad2544 in KIconLoader::loadIcon (this=0x3c81630, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f2d03ac9070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 10 Aaron J. Seigo 2011-03-08 14:44:08 UTC
*** Bug 267943 has been marked as a duplicate of this bug. ***
Comment 11 Aaron J. Seigo 2011-03-08 14:44:22 UTC
*** Bug 267934 has been marked as a duplicate of this bug. ***
Comment 12 Aaron J. Seigo 2011-03-08 14:44:38 UTC
*** Bug 267957 has been marked as a duplicate of this bug. ***
Comment 13 Chemtox 2011-03-09 06:54:20 UTC
Created attachment 57791 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:
Shutting down the system.  Often, Plasma Desktop will crash, stopping the shutdown (very annoying) and leaving only the non-KDE programs open in the last used view port on sight.

-- Backtrace (Reduced):
#6  0x00007fe7df281a7a in QString (this=0x36c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x36c0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007fe7df2854be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007fe7df28d544 in KIconLoader::loadIcon (this=0x2daf700, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007fe7df284070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 14 Craig Magina 2011-03-09 16:07:15 UTC
Created attachment 57803 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

- What I was doing when the application crashed:
Closed amarok via Ctrl+Q.

It did not reproduce when I performed the same action a second time.

-- Backtrace (Reduced):
#6  0x00007f90344696bf in QString (this=0x2ec0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x2ec0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f903446f0bb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f9034475dd3 in KIconLoader::loadIcon (this=0x3d4fc90, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f903446dd69 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 15 Aaron J. Seigo 2011-03-09 21:59:51 UTC
*** Bug 268000 has been marked as a duplicate of this bug. ***
Comment 16 Aaron J. Seigo 2011-03-09 22:00:01 UTC
*** Bug 268086 has been marked as a duplicate of this bug. ***
Comment 17 perrantrevan 2011-03-10 20:17:50 UTC
Created attachment 57843 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed: closed Amarok (2.4 compiled from git sources)

-- Backtrace (Reduced):
#6  0x00007f33bc39ea7a in QString (this=0x23c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x23c0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f33bc3a24be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f33bc3aa544 in KIconLoader::loadIcon (this=0x1450d70, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f33bc3a1070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 18 Dominic Lyons 2011-03-13 00:22:04 UTC
Created attachment 57911 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:

I closed Amarok 2.4.0 and right after that plasma crashed.

-- Backtrace (Reduced):
#6  0x00007f0d846f7a7a in QString (this=0x26c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x26c0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f0d846fb4be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f0d84703544 in KIconLoader::loadIcon (this=0x270bb00, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f0d846fa070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 19 Chemtox 2011-03-13 01:04:14 UTC
Looking at the other reports, I've been closing Amarok by hand before powering off, and I can confirm that this is caused by closing Amarok, but that it happens only sometimes.

No idea what triggers it, but I have noticed that many times after starting Amarok, it's icon in the system tray is "invisible" (just empty space, but clicking on it works normally) until I start playing a song.

Only once has DrKonqui appeared for Amarok besides Plasma, and all it contained was "segfault," as even though I've amarok-dbg installed, DrKonqui doesn't seems to find the debugging symbols and offers to install them (and loops forever if I try to do it).  Anyone else with problems obtaining Amarok backtraces?
Comment 20 Dario Andres 2011-03-13 13:42:41 UTC
[Comment from a bug triager]
From bug 268360:
-- Information about the crash:
Plasma and Amarok crash while using Amarok to browse Internet music services.
Comment 21 Dario Andres 2011-03-13 13:43:03 UTC
*** Bug 268360 has been marked as a duplicate of this bug. ***
Comment 22 Dario Andres 2011-03-13 13:43:05 UTC
*** Bug 268342 has been marked as a duplicate of this bug. ***
Comment 23 Rolf Eike Beer 2011-03-13 13:54:25 UTC
Since I've been bitten by this at least a dozen times in the last hour or so I think I know how I triggered this: I debugged KGpg in KDevelop. It looks to me like the crash happened every time when I closed the debugged KGpg but only if I switched workspaces while this application was running.
Comment 24 Dario Andres 2011-03-13 13:59:55 UTC
[Comment from a bug triager]
Note that there are two "versions" of this crash:
- The one involving Amarok (doesn't include "SystemTray::DBusSystemTrayWidget::paint" in the backtrace), which is being tracked here.
- The one which seems to be random and not related to actions in Amarok (includes "SystemTray::DBusSystemTrayWidget::paint" in the backtrace), and it is being tracked at bug 268157, bug 265089.
I'm not sure if both "versions" could be fixed by the same patch/commit, or if the root causes are different.
Regards
Comment 25 Unknown 2011-03-13 17:54:00 UTC
Created attachment 57924 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

- What I was doing when the application crashed:

Amarok had been changing to the next single meanwhile I hit Ctrl+Q. Plasma crashed.

-- Backtrace (Reduced):
#6  0x00007f1e8f9670cf in QString (this=0xcc0075, group=0, state=0) at /usr/include/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0xcc0075, group=0, state=0) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconeffect.cpp:169
#8  0x00007f1e8f9686d5 in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:782
#9  0x00007f1e8fa9a1e1 in KIconLoader::loadIcon (this=0xd12420, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:1226
#10 0x00007f1e8fa9b360 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconengine.cpp:93
Comment 26 Aaron J. Seigo 2011-03-17 08:39:28 UTC
*** Bug 268719 has been marked as a duplicate of this bug. ***
Comment 27 Aaron J. Seigo 2011-03-17 11:21:30 UTC
*** Bug 268735 has been marked as a duplicate of this bug. ***
Comment 28 Roman N. Krivov 2011-03-18 14:17:45 UTC
Created attachment 58145 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:

Plasma crashed with amarok when I rescan collection on my drive (include external USB hard disk)

-- Backtrace (Reduced):
#7  0x0114fba7 in QString (this=0x9c40061, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#8  KIconEffect::fingerprint (this=0x9c40061, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0x01153ad8 in KIconLoaderPrivate::makeCacheKey (this=0x9c4004d, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0x0115bf08 in KIconLoader::loadIcon (this=0x97825d0, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0x011523f6 in KIconEngine::pixmap (this=0x9e00000, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
Comment 29 Aaron J. Seigo 2011-03-23 12:53:58 UTC
*** Bug 269118 has been marked as a duplicate of this bug. ***
Comment 30 Tom Kijas 2011-03-23 19:49:51 UTC
Created attachment 58292 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:
Plasma crashed when I started shutdown, windows have been closed by it, but window of kwallet didn't. I think this is the problem, that kwallet couldn't close itself and so drkonqi started and laptop didn't shut down.
- Unusual behavior I noticed:
Every time I log-in to KDE, akonadi crases, causing that no filtering is possible in dolphin. Already reported, no answers.

-- Backtrace (Reduced):
#6  0x00007f841837ba7a in QString (this=0x34d005c, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x34d005c, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f841837f4be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f8418387544 in KIconLoader::loadIcon (this=0x34ad700, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f841837e070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 31 Aaron J. Seigo 2011-03-24 13:36:16 UTC
*** Bug 269147 has been marked as a duplicate of this bug. ***
Comment 32 Martin Schaub 2011-03-24 20:23:47 UTC
Created attachment 58311 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:

Listening to Amarok which was playing an internet streaming radio (slay radio)
I was also editing a file in vim which was launched in a konsole which should be not related to this issue.
Music stopped and the crash report popped up.
Amarok was terminated with a segfault.

-- Backtrace (Reduced):
#6  0x00007fc14a3bfa7a in QString (this=0x17c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x17c0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007fc14a3c34be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007fc14a3cb544 in KIconLoader::loadIcon (this=0xbcd670, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007fc14a3c2070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 33 Alexey Chernov 2011-03-26 11:00:43 UTC
As it was asked about backtraces maybe mine will help, I've compiled KDE without optimization and with debugfull, so perhaps it's useful:

Application: Оболочка Plasma (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f5534d29760 (LWP 2068))]

Thread 2 (Thread 0x7f5508927710 (LWP 2071)):
#0  0x00007f55319c3273 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f552e2daac9 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#2  0x00007f552e2daeac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f5533806dc6 in QEventDispatcherGlib::processEvents (this=0x14ff0a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f55337d5b12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f55337d5ef5 in QEventLoop::exec (this=0x7f5508926de0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f55336d3717 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f55337b3520 in QInotifyFileSystemWatcherEngine::run (this=0x156fd90) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f55336d691a in QThreadPrivate::start (arg=0x156fd90) at thread/qthread_unix.cpp:320
#9  0x00007f5533434aca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007f55319cc58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f5534d29760 (LWP 2068)):
[KCrash Handler]
#6  0x00007f55347af0b1 in KIconEffect::fingerprint (this=0x48, group=0, state=0) at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kdeui/icons/kiconeffect.cpp:169
#7  0x00007f55347b2311 in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=<value optimized out>, group=KIconLoader::Desktop, overlays=..., size=<value optimized out>, state=0)
    at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:782
#8  0x00007f55347b524f in KIconLoader::loadIcon (this=0x38d4030, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false)
    at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:1226
#9  0x00007f55347b09cc in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>)
    at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kdeui/icons/kiconengine.cpp:93
#10 0x00007f5532920845 in QIcon::pixmap (this=<value optimized out>, size=..., mode=QIcon::Normal, state=44338672) at image/qicon.cpp:676
#11 0x00007f551b4e12b1 in Plasma::IconWidgetPrivate::decoration (this=0x38d8b60, option=<value optimized out>, useHoverEffect=false, usePressedEffect=false)
    at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/plasma/widgets/iconwidget.cpp:812
#12 0x00007f551b4e2acf in Plasma::IconWidget::paint (this=0x2bbda90, painter=<value optimized out>, option=0x7f9438, widget=<value optimized out>)
    at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/plasma/widgets/iconwidget.cpp:1128
#13 0x00007f550b09b933 in SystemTray::DBusSystemTrayWidget::paint (this=0x7fff10077e40, painter=0x1c0, option=0x0, widget=0x0)
    at /usr/src/packages/kde4/4.6.1/kdebase-workspace-4.6.1/plasma/generic/applets/systemtray/protocols/dbussystemtray/dbussystemtraywidget.cpp:189
#14 0x00007f5532f1137d in _q_paintItem (item=<value optimized out>, painter=0x7fff10078c20, option=0x7f9438, widget=0x0, useWindowOpacity=<value optimized out>, 
    painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4314
#15 0x00007f5532f12dbc in _q_paintIntoCache (pix=0x7fff10079250, item=<value optimized out>, pixmapExposed=..., itemToPixmap=<value optimized out>, renderHints=)
    at graphicsview/qgraphicsscene.cpp:4352
#16 0x00007f5532f18425 in QGraphicsScenePrivate::drawItemHelper (this=<value optimized out>, item=0x2bbdaa0, painter=0x7fff1007b340, option=0x7f9438, widget=<value optimized out>, 
    painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4690
#17 0x00007f5532f2b9f9 in QGraphicsScenePrivate::draw (this=0x7f9210, item=0x2bbdaa0, painter=0x7fff1007b340, viewTransform=<value optimized out>, transformPtr=<value optimized out>, 
    exposedRegion=<value optimized out>, widget=0x12cece0, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true)
    at graphicsview/qgraphicsscene.cpp:4962
#18 0x00007f5532f2c7e2 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x7f9210, item=0x2bbdaa0, painter=0x7fff1007b340, viewTransform=0x7fff1007b0d0, exposedRegion=0x1a8bf10, widget=0x12cece0, 
    parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#19 0x00007f5532f2ba6d in QGraphicsScenePrivate::draw (this=0x7f9210, item=0x11fdca0, painter=0x7fff1007b340, viewTransform=<value optimized out>, transformPtr=<value optimized out>, 
    exposedRegion=<value optimized out>, widget=0x12cece0, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true)
    at graphicsview/qgraphicsscene.cpp:4979
#20 0x00007f5532f2c7e2 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x7f9210, item=0x11fdca0, painter=0x7fff1007b340, viewTransform=0x7fff1007b0d0, exposedRegion=0x1a8bf10, widget=0x12cece0, 
    parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#21 0x00007f5532f2ba6d in QGraphicsScenePrivate::draw (this=0x7f9210, item=0x1251a40, painter=0x7fff1007b340, viewTransform=<value optimized out>, transformPtr=<value optimized out>, 
    exposedRegion=<value optimized out>, widget=0x12cece0, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true)
    at graphicsview/qgraphicsscene.cpp:4979
#22 0x00007f5532f2c7e2 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x7f9210, item=0x1251a40, painter=0x7fff1007b340, viewTransform=0x7fff1007b0d0, exposedRegion=0x1a8bf10, widget=0x12cece0, 
    parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#23 0x00007f5532f2ba6d in QGraphicsScenePrivate::draw (this=0x7f9210, item=0x1235020, painter=0x7fff1007b340, viewTransform=<value optimized out>, transformPtr=<value optimized out>, 
    exposedRegion=<value optimized out>, widget=0x12cece0, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true)
    at graphicsview/qgraphicsscene.cpp:4979
#24 0x00007f5532f2c7e2 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x7f9210, item=0x1235020, painter=0x7fff1007b340, viewTransform=0x7fff1007b0d0, exposedRegion=0x1a8bf10, widget=0x12cece0, 
    parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#25 0x00007f5532f2d303 in QGraphicsScenePrivate::drawItems (this=0x7f9210, painter=<value optimized out>, viewTransform=0x7fff1007b0d0, exposedRegion=0x1a8bf10, widget=0x12cece0)
    at graphicsview/qgraphicsscene.cpp:4735
#26 0x00007f5532f4dbeb in QGraphicsView::paintEvent (this=<value optimized out>, event=<value optimized out>) at graphicsview/qgraphicsview.cpp:3469
#27 0x00007f55328bd490 in QWidget::event (this=0x159b010, event=0x7fff1007bca0) at kernel/qwidget.cpp:8405
#28 0x00007f5532ccbc56 in QFrame::event (this=0x159b010, e=0x7fff1007bca0) at widgets/qframe.cpp:557
#29 0x00007f5532f4bafb in QGraphicsView::viewportEvent (this=0x159b010, event=0x7fff1007bca0) at graphicsview/qgraphicsview.cpp:2864
#30 0x00007f55337d6ba8 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x12cece0, event=0x7fff1007bca0) at kernel/qcoreapplication.cpp:846
#31 0x00007f553285f76c in QApplicationPrivate::notify_helper (this=0x7a70d0, receiver=0x12cece0, e=0x7fff1007bca0) at kernel/qapplication.cpp:4458
#32 0x00007f5532867b27 in QApplication::notify (this=0x79cf10, receiver=0x12cece0, e=0x7fff1007bca0) at kernel/qapplication.cpp:4341
#33 0x00007f5534806b21 in KApplication::notify (this=0x79cf10, receiver=0x12cece0, event=0x7fff1007bca0) at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#34 0x00007f55337d6f0b in QCoreApplication::notifyInternal (this=0x79cf10, receiver=0x12cece0, event=0x7fff1007bca0) at kernel/qcoreapplication.cpp:731
#35 0x00007f55328c6df6 in QCoreApplication::sendSpontaneousEvent (this=0x1a70930, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0xbede10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#36 QWidgetPrivate::drawWidget (this=0x1a70930, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0xbede10)
    at kernel/qwidget.cpp:5492
#37 0x00007f55328c7afa in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0xbede10) at kernel/qwidget.cpp:5699
#38 0x00007f55328c6ad1 in QWidgetPrivate::drawWidget (this=0x1a8ba80, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0xbede10) at kernel/qwidget.cpp:5545
#39 0x00007f5532abcf1d in QWidgetBackingStore::sync (this=0xbede10) at painting/qbackingstore.cpp:1333
#40 0x00007f55328b5da0 in QWidgetPrivate::syncBackingStore (this=0x1a8ba80) at kernel/qwidget.cpp:1842
#41 0x00007f55328bdb7a in QWidget::event (this=0x159b010, event=0x3832aa0) at kernel/qwidget.cpp:8552
#42 0x00007f5532ccbc56 in QFrame::event (this=0x159b010, e=0x3832aa0) at widgets/qframe.cpp:557
#43 0x00007f5532d6169b in QAbstractScrollArea::event (this=0x159b010, e=0x3832aa0) at widgets/qabstractscrollarea.cpp:996
#44 0x00007f5516777e11 in PanelView::event (this=0x159b010, event=0x3832aa0) at /usr/src/packages/kde4/4.6.1/kdebase-workspace-4.6.1/plasma/desktop/shell/panelview.cpp:1505
#45 0x00007f553285f780 in QApplicationPrivate::notify_helper (this=0x7a70d0, receiver=0x159b010, e=0x3832aa0) at kernel/qapplication.cpp:4462
#46 0x00007f5532867b27 in QApplication::notify (this=0x79cf10, receiver=0x159b010, e=0x3832aa0) at kernel/qapplication.cpp:4341
#47 0x00007f5534806b21 in KApplication::notify (this=0x79cf10, receiver=0x159b010, event=0x3832aa0) at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#48 0x00007f55337d6f0b in QCoreApplication::notifyInternal (this=0x79cf10, receiver=0x159b010, event=0x3832aa0) at kernel/qcoreapplication.cpp:731
#49 0x00007f55337d997b in QCoreApplication::sendEvent (receiver=0x159b010, event_type=<value optimized out>, data=0x6ddb00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#50 QCoreApplicationPrivate::sendPostedEvents (receiver=0x159b010, event_type=<value optimized out>, data=0x6ddb00) at kernel/qcoreapplication.cpp:1372
#51 0x00007f5532f327fa in QGraphicsViewPrivate::dispatchPendingUpdateRequests (this=0x7f9210) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:189
#52 QGraphicsScenePrivate::_q_processDirtyItems (this=0x7f9210) at graphicsview/qgraphicsscene.cpp:510
#53 0x00007f5532f32f72 in QGraphicsScene::qt_metacall (this=0x856e00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x3b6ef40) at .moc/debug-shared/moc_qgraphicsscene.cpp:130
#54 0x00007f551b437655 in Plasma::Corona::qt_metacall (this=0x7fff10077e40, _c=448, _id=0, _a=0x0) at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/build/plasma/corona.moc:109
#55 0x00007f5516766865 in DesktopCorona::qt_metacall (this=0x7fff10077e40, _c=448, _id=0, _a=0x0)
    at /usr/src/packages/kde4/4.6.1/kdebase-workspace-4.6.1/build/plasma/desktop/shell/desktopcorona.moc:101
#56 0x00007f55337ea10e in QObject::event (this=0x856e00, e=0x7fff10077e40) at kernel/qobject.cpp:1217
#57 0x00007f5532f2ae30 in QGraphicsScene::event (this=0x856e00, event=0x345c340) at graphicsview/qgraphicsscene.cpp:3544
#58 0x00007f553285f780 in QApplicationPrivate::notify_helper (this=0x7a70d0, receiver=0x856e00, e=0x345c340) at kernel/qapplication.cpp:4462
#59 0x00007f5532867b27 in QApplication::notify (this=0x79cf10, receiver=0x856e00, e=0x345c340) at kernel/qapplication.cpp:4341
#60 0x00007f5534806b21 in KApplication::notify (this=0x79cf10, receiver=0x856e00, event=0x345c340) at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#61 0x00007f55337d6f0b in QCoreApplication::notifyInternal (this=0x79cf10, receiver=0x856e00, event=0x345c340) at kernel/qcoreapplication.cpp:731
#62 0x00007f55337d997b in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x6ddb00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#63 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x6ddb00) at kernel/qcoreapplication.cpp:1372
#64 0x00007f5533807183 in QCoreApplication::sendPostedEvents (s=0x7aa720) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#65 postEventSourceDispatch (s=0x7aa720) at kernel/qeventdispatcher_glib.cpp:277
#66 0x00007f552e2da3fc in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#67 0x00007f552e2dace8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#68 0x00007f552e2daeac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#69 0x00007f5533806d73 in QEventDispatcherGlib::processEvents (this=0x6dfcf0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#70 0x00007f553291e3be in QGuiEventDispatcherGlib::processEvents (this=0x7fff10077e40, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#71 0x00007f55337d5b12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#72 0x00007f55337d5ef5 in QEventLoop::exec (this=0x7fff1007dd40, flags=) at kernel/qeventloop.cpp:201
#73 0x00007f55337d9c8b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#74 0x00007f55167708bf in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/packages/kde4/4.6.1/kdebase-workspace-4.6.1/plasma/desktop/shell/main.cpp:118
#75 0x00000000004079a3 in launch (argc=1, _name=<value optimized out>, args=<value optimized out>, cwd=<value optimized out>, envc=<value optimized out>, envs=<value optimized out>, reset_env=false, 
    tty=0x0, avoid_loops=false, startup_id_str=0x40adb6 "0") at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kinit/kinit.cpp:734
#76 0x000000000040856c in handle_launcher_request (sock=8, who=<value optimized out>) at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kinit/kinit.cpp:1226
#77 0x0000000000408d0a in handle_requests (waitForPid=<value optimized out>) at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kinit/kinit.cpp:1419
#78 0x0000000000409217 in main (argc=4, argv=<value optimized out>, envp=<value optimized out>) at /usr/src/packages/kde4/4.6.1/kdelibs-4.6.1/kinit/kinit.cpp:1907
Comment 34 Beat Wolf 2011-03-26 12:50:27 UTC
*** Bug 269431 has been marked as a duplicate of this bug. ***
Comment 35 Beat Wolf 2011-03-26 12:59:19 UTC
*** Bug 269199 has been marked as a duplicate of this bug. ***
Comment 36 Beat Wolf 2011-03-26 12:59:22 UTC
*** Bug 269253 has been marked as a duplicate of this bug. ***
Comment 37 Dario Andres 2011-04-03 14:05:19 UTC
*** Bug 269944 has been marked as a duplicate of this bug. ***
Comment 38 Dario Andres 2011-04-03 14:05:35 UTC
*** Bug 269598 has been marked as a duplicate of this bug. ***
Comment 39 Dario Andres 2011-04-03 14:08:12 UTC
*** Bug 269615 has been marked as a duplicate of this bug. ***
Comment 40 Dario Andres 2011-04-03 14:10:38 UTC
[Comment from a bug triager]
From bug 268886 (KDE SC 4.6.1):
- What I was doing when the application crashed:
My system was under high load (compiling OpenOffice), so I closed Amarok and
Kontact. Right after this Plasma crashed. I have seen similar crash before
under high system load.

From bug 268886 comment 1 (KDE SC 4.6.1):
- What I was doing when the application crashed:
During a heavy update (zypper up) the system was under high load. I decide to
close amarok. Then immediately the crash occurs. 
Plasma restart by itself.
Comment 41 Dario Andres 2011-04-03 14:10:58 UTC
*** Bug 268886 has been marked as a duplicate of this bug. ***
Comment 42 Dario Andres 2011-04-03 14:11:50 UTC
*** Bug 268874 has been marked as a duplicate of this bug. ***
Comment 43 Beat Wolf 2011-04-04 13:14:04 UTC
*** Bug 270009 has been marked as a duplicate of this bug. ***
Comment 44 Beat Wolf 2011-04-04 13:14:28 UTC
*** Bug 269869 has been marked as a duplicate of this bug. ***
Comment 45 Beat Wolf 2011-04-04 13:17:28 UTC
*** Bug 270021 has been marked as a duplicate of this bug. ***
Comment 46 Andreas Nilsson 2011-04-05 10:03:03 UTC
Created attachment 58589 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

- What I was doing when the application crashed:

I used amarok to look at the contents of an audio cd. When I closed Amarok => instant plasma crash.

-- Backtrace (Reduced):
#6  0x00007fde034865df in QString (this=0x2740075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x2740075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007fde0348bfeb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007fde03492d03 in KIconLoader::loadIcon (this=0x2b7c260, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007fde0348ac99 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 47 Beat Wolf 2011-04-07 13:22:05 UTC
*** Bug 268157 has been marked as a duplicate of this bug. ***
Comment 48 Beat Wolf 2011-04-07 13:22:09 UTC
*** Bug 270186 has been marked as a duplicate of this bug. ***
Comment 49 Ionut Ciocirlan 2011-04-08 01:29:55 UTC
Created attachment 58698 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

- What I was doing when the application crashed:

Simply closed Amarok from File->Close. No high load here.
I believe plasma crashed trying to repaint the tray area.

-- Backtrace (Reduced):
#6  0x0000003ee47f753f in QString (this=0x25c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x25c0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x0000003ee47fd07b in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x0000003ee4804111 in KIconLoader::loadIcon (this=0x1bd2e20, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x0000003ee47fbd20 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 50 Stratos Zolotas 2011-04-08 22:55:56 UTC
Created attachment 58721 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) "release 398" using Qt 4.7.2

Just to report that the crash occurs when i close amarok while it is playing. If i stoped playing before closing Amarok, i have no crash.

-- Backtrace (Reduced):
#6  0x00007f557f60ce8f in KIconEffect::fingerprint(int, int) const () from /usr/lib64/libkdeui.so.5
[...]
#8  0x00007f557f73bef1 in KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const () from /usr/lib64/libkdeui.so.5
[...]
#10 0x00007f557dbd0a65 in QIcon::pixmap (this=<value optimized out>, size=<value optimized out>, mode=<value optimized out>, state=<value optimized out>) at image/qicon.cpp:676
[...]
#12 0x00007f557578960b in Plasma::IconWidget::paint(QPainter*, QStyleOptionGraphicsItem const*, QWidget*) () from /usr/lib64/libplasma.so.3
[...]
#14 0x00007f557e10eeed in _q_paintItem (item=<value optimized out>, painter=0x7fffcd6d42e0, option=0x779698, widget=0x0, useWindowOpacity=<value optimized out>, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4314
Comment 51 marko.gabriel.cz 2011-04-08 23:46:27 UTC
Created attachment 58724 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.0

- What I was doing when the application crashed:I listened some songs in amarok including some plugins. First some plugins (Ultimate Lyrics Search, plugin for on-line radios) stopped to work. When I closed Amarok, plasma crashed.

-- Backtrace (Reduced):
#7  0x01165ba7 in QString (this=0xa740061, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#8  KIconEffect::fingerprint (this=0xa740061, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0x01169ad8 in KIconLoaderPrivate::makeCacheKey (this=0xa74004d, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0x01171f08 in KIconLoader::loadIcon (this=0xa0638e8, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0x011683f6 in KIconEngine::pixmap (this=0xa80f2e0, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
Comment 52 Dominic Lyons 2011-04-10 02:23:50 UTC
Created attachment 58755 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.0

- What I was doing when the application crashed:

Every time I close Amarok the crash occurs.

-- Backtrace (Reduced):
#6  0x00007fee2e1d5a7a in QString (this=0x3040075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x3040075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007fee2e1d94be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007fee2e1e1544 in KIconLoader::loadIcon (this=0x2eebe80, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007fee2e1d8070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 53 Beat Wolf 2011-04-11 23:15:35 UTC
*** Bug 268871 has been marked as a duplicate of this bug. ***
Comment 54 Beat Wolf 2011-04-11 23:19:52 UTC
*** Bug 267691 has been marked as a duplicate of this bug. ***
Comment 55 Beat Wolf 2011-04-11 23:20:17 UTC
*** Bug 268180 has been marked as a duplicate of this bug. ***
Comment 56 Beat Wolf 2011-04-11 23:20:27 UTC
*** Bug 268436 has been marked as a duplicate of this bug. ***
Comment 57 Lamarque V. Souza 2011-04-12 19:54:52 UTC
*** Bug 270780 has been marked as a duplicate of this bug. ***
Comment 58 Lamarque V. Souza 2011-04-13 03:26:58 UTC
Valgrind detected one invalid free when this crash happens. Probably it is that invalid free that corrupts the memory used in KIconEffect::fingerprint. Here is the log (it is too big to attach to this bug):

http://kde-mg.org/wp-content/uploads/2011/04/plasma-desktop.txt

The invalid free seems to be triggered by one QEvent, the log does not show where the event originates though.
Comment 59 Dario Andres 2011-04-14 13:14:18 UTC
*** Bug 270801 has been marked as a duplicate of this bug. ***
Comment 60 josan_pansa 2011-04-17 08:04:58 UTC
Created attachment 59058 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

in 3 days i closed amarok and reopen 80 times and only have one crahs then this is.I open amarok in konsole and never crash

-- Backtrace (Reduced):
#6  QString::QString (this=0x7fff876bbe50, other=...) at /usr/include/qt4/QtCore/qstring.h:728
#7  0x00007fed81b58171 in KIconEffect::fingerprint (this=0x2d40075, group=0, state=0) at /var/tmp/portage/kde-base/kdelibs-4.6.2-r2/work/kdelibs-4.6.2/kdeui/icons/kiconeffect.cpp:169
#8  0x00007fed81b61b01 in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=<value optimized out>, state=0) at /var/tmp/portage/kde-base/kdelibs-4.6.2-r2/work/kdelibs-4.6.2/kdeui/icons/kiconloader.cpp:782
#9  0x00007fed81b61eb8 in KIconLoader::loadIcon (this=0x2aa8300, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at /var/tmp/portage/kde-base/kdelibs-4.6.2-r2/work/kdelibs-4.6.2/kdeui/icons/kiconloader.cpp:1226
#10 0x00007fed81b5bf0a in KIconEngine::pixmap (this=0x2d34c10, size=..., mode=<value optimized out>, state=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.2-r2/work/kdelibs-4.6.2/kdeui/icons/kiconengine.cpp:93
Comment 61 andy2.0 2011-04-18 18:27:47 UTC
Created attachment 59106 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.1

Amarok was killed with SIGKILL because it was using 100% CPU and was unresponsive. After killing Amarok, Plasma crashed. This happens every time Amarok has this problem and is killed.

-- Backtrace (Reduced):
#6  0x00000034b2be500f in QString (this=0x1ec0075, group=0, state=0) at /usr/include/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x1ec0075, group=0, state=0) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconeffect.cpp:169
#8  0x00000034b2beab4b in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:782
#9  0x00000034b2bf1c21 in KIconLoader::loadIcon (this=0x46eaf40, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:1226
#10 0x00000034b2be97f0 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconengine.cpp:93
Comment 62 marko.gabriel.cz 2011-04-20 10:50:02 UTC
Created attachment 59151 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.0

- What I was doing when the application crashed:I was quit amarok a tried to launch something via KRunner, when Plasma crashed.

-- Backtrace (Reduced):
#7  0x01145ba7 in QString (this=0x9d40061, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#8  KIconEffect::fingerprint (this=0x9d40061, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0x01149ad8 in KIconLoaderPrivate::makeCacheKey (this=0x9d4004d, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0x01151f08 in KIconLoader::loadIcon (this=0x99c1ff8, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0x011483f6 in KIconEngine::pixmap (this=0x9b3b620, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
Comment 63 dnadoublehelix-buggy 2011-04-22 04:31:36 UTC
Created attachment 59198 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Amarok (2.4.0) crashed during scanning external firewire HDD and playing a song in the background, which is related to the bug 23700. 
Amarok crash then crashed plasma.

-- Backtrace (Reduced):
#6  0x00007f5e8915622a in QString (this=0x16c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x16c0075, group=0, state=0) at /var/tmp/portage/kde-base/kdelibs-4.6.2-r2/work/kdelibs-4.6.2/kdeui/icons/kiconeffect.cpp:169
#8  0x00007f5e89159cce in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at /var/tmp/portage/kde-base/kdelibs-4.6.2-r2/work/kdelibs-4.6.2/kdeui/icons/kiconloader.cpp:782
#9  0x00007f5e89161d26 in KIconLoader::loadIcon (this=0x48d10a0, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at /var/tmp/portage/kde-base/kdelibs-4.6.2-r2/work/kdelibs-4.6.2/kdeui/icons/kiconloader.cpp:1226
#10 0x00007f5e8915888f in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.2-r2/work/kdelibs-4.6.2/kdeui/icons/kiconengine.cpp:93
Comment 64 dnadoublehelix-buggy 2011-04-22 07:19:20 UTC
For Comment #63, that should have been bug 237000 not 23700 :)
Comment 65 Wonko 2011-04-27 12:04:31 UTC
Um, any progress on this one? Any idea when this might be fixed? 

Plasma crashes dozends of times per day here, without any apparent reason, like closing Amarok or so - that seems to be different from the other reporters.

I have removed the system tray plasmoid completely. Now I have no crashes, but I miss the tray very much.

I'm using KDE 4.6.2 on Gentoo Linux, if it helps, I could compile stuff with debug information.
Comment 66 David Faure 2011-04-27 13:21:31 UTC
(In reply to comment #58)
> Valgrind detected one invalid free when this crash happens. Probably it is that
> invalid free that corrupts the memory used in KIconEffect::fingerprint. Here is
> the log (it is too big to attach to this bug):
> 
> http://kde-mg.org/wp-content/uploads/2011/04/plasma-desktop.txt
> 
> The invalid free seems to be triggered by one QEvent, the log does not show
> where the event originates though.

It's a deleteLater on the StatusNotifierItemSource.
I don't see why that would invalidate the icon object known by Plasma::IconWidget though, but maybe you do ;)

The invalid read before the kiconloader one seems to point to qt's pixmap drawing going out of bounds, which is surprising (but for some reason you're missing all the internal symbols in QtGui...)
Comment 67 Lamarque V. Souza 2011-04-28 21:21:36 UTC
*** Bug 271876 has been marked as a duplicate of this bug. ***
Comment 68 Aaron J. Seigo 2011-04-30 18:36:39 UTC
*** Bug 271801 has been marked as a duplicate of this bug. ***
Comment 69 Aaron J. Seigo 2011-04-30 18:36:49 UTC
*** Bug 272058 has been marked as a duplicate of this bug. ***
Comment 70 Aaron J. Seigo 2011-04-30 18:36:53 UTC
*** Bug 271942 has been marked as a duplicate of this bug. ***
Comment 71 Aaron J. Seigo 2011-04-30 18:36:59 UTC
*** Bug 272060 has been marked as a duplicate of this bug. ***
Comment 72 Dario Andres 2011-05-01 00:50:10 UTC
*** Bug 272068 has been marked as a duplicate of this bug. ***
Comment 73 Dario Andres 2011-05-01 00:50:18 UTC
*** Bug 272090 has been marked as a duplicate of this bug. ***
Comment 74 Dario Andres 2011-05-01 14:53:40 UTC
*** Bug 272002 has been marked as a duplicate of this bug. ***
Comment 75 Dario Andres 2011-05-01 14:53:42 UTC
*** Bug 271927 has been marked as a duplicate of this bug. ***
Comment 76 Dario Andres 2011-05-01 14:53:44 UTC
*** Bug 271845 has been marked as a duplicate of this bug. ***
Comment 77 Dario Andres 2011-05-01 14:53:50 UTC
*** Bug 271923 has been marked as a duplicate of this bug. ***
Comment 78 Aaron J. Seigo 2011-05-02 11:04:38 UTC
*** Bug 272202 has been marked as a duplicate of this bug. ***
Comment 79 Christoph Feck 2011-05-03 16:50:48 UTC
*** Bug 226596 has been marked as a duplicate of this bug. ***
Comment 80 Christoph Feck 2011-05-03 16:52:01 UTC
*** Bug 271256 has been marked as a duplicate of this bug. ***
Comment 81 Christoph Feck 2011-05-03 16:53:00 UTC
*** Bug 271223 has been marked as a duplicate of this bug. ***
Comment 82 Christoph Feck 2011-05-03 16:53:26 UTC
*** Bug 271782 has been marked as a duplicate of this bug. ***
Comment 83 Christoph Feck 2011-05-03 16:53:34 UTC
*** Bug 272315 has been marked as a duplicate of this bug. ***
Comment 84 Christoph Feck 2011-05-03 16:53:41 UTC
*** Bug 272328 has been marked as a duplicate of this bug. ***
Comment 85 Christoph Feck 2011-05-03 16:53:55 UTC
*** Bug 271550 has been marked as a duplicate of this bug. ***
Comment 86 Christoph Feck 2011-05-03 16:57:10 UTC
*** Bug 242076 has been marked as a duplicate of this bug. ***
Comment 87 Wonko 2011-05-03 22:55:22 UTC
Good news - at least for me. I added the system tray to the panel two days ago because I needed access to a knote, and forgot to remove it. Normally, plasma crashes within a few minutes when the system tray is active, but now it doesn't. Maybe it's fixed? I did not change much here. I _could_ restore an backup of my .kde4 directory and see if the crashes happen again if desired.

Here is my history of things that I updated recently, just in case someone spots a package that might have to do with it. Things installed from May 2nd on came after the problem was gone. I _think_ the problem still happened around the 27th of April, so I'll start the history here.

     Wed Apr 27 13:12:37 2011 >>> media-libs/libpng-1.4.7
     Wed Apr 27 13:21:21 2011 >>> media-libs/audiofile-0.2.7
     Wed Apr 27 13:29:08 2011 >>> dev-cpp/gstreamermm-0.10.9
     Wed Apr 27 15:51:47 2011 >>> media-libs/ladspa-sdk-1.13-r1
     Wed Apr 27 15:54:39 2011 >>> media-libs/mlt-0.5.10
     Thu Apr 28 17:56:45 2011 >>> dev-libs/libcgroup-0.37-r1
     Fri Apr 29 09:49:46 2011 >>> dev-lang/swig-2.0.4_pre12643
     Fri Apr 29 09:51:33 2011 >>> media-libs/x264-0.0.20110426
     Fri Apr 29 12:36:23 2011 >>> dev-libs/libevent-2.0.11
     Fri Apr 29 12:38:02 2011 >>> media-libs/vo-aacenc-0.1.0
     Fri Apr 29 12:43:32 2011 >>> kde-base/powerdevil-4.6.2-r1
     Fri Apr 29 12:52:08 2011 >>> kde-base/akregator-4.4.11.1-r1
     Fri Apr 29 13:06:57 2011 >>> kde-base/kalarm-4.4.11.1-r1
     Fri Apr 29 13:10:20 2011 >>> kde-misc/fsrunner-0.7.4
     Fri Apr 29 14:09:25 2011 >>> media-video/ffmpeg-0.7_rc1
     Fri Apr 29 14:56:57 2011 >>> x11-libs/xcb-util-0.3.8
     Fri Apr 29 14:58:29 2011 >>> x11-libs/xcb-util-keysyms-0.3.8
     Fri Apr 29 14:59:49 2011 >>> x11-libs/xcb-util-image-0.3.8
     Fri Apr 29 15:00:59 2011 >>> x11-libs/xcb-util-wm-0.3.8
     Fri Apr 29 15:02:07 2011 >>> x11-libs/xcb-util-renderutil-0.3.8
     Fri Apr 29 15:04:09 2011 >>> x11-libs/startup-notification-0.10_p20110426
     Fri Apr 29 16:22:42 2011 >>> x11-apps/xlsclients-1.1.1-r1
     Fri Apr 29 16:25:20 2011 >>> x11-libs/libgksu-2.0.12-r1
     Fri Apr 29 16:31:36 2011 >>> media-libs/libquicktime-1.2.2
     Fri Apr 29 17:50:17 2011 >>> dev-python/snakeoil-0.4
     Fri Apr 29 17:55:18 2011 >>> kde-base/superkaramba-4.6.2
     Sat Apr 30 13:29:53 2011 >>> x11-libs/cairo-1.10.2-r1
     Sat Apr 30 13:36:00 2011 >>> dev-scheme/guile-1.8.8
     Sun May  1 13:18:18 2011 >>> media-libs/libdc1394-2.1.3
     Sun May  1 13:19:19 2011 >>> dev-python/setuptools-0.6.16
     Sun May  1 13:26:56 2011 >>> dev-cpp/gstreamermm-0.10.9.1
     Sun May  1 13:33:43 2011 >>> sys-apps/acl-2.2.51
     Sun May  1 13:35:37 2011 >>> gnome-base/gsettings-desktop-schemas-0.1.5
     Sun May  1 13:36:29 2011 >>> sys-fs/udev-168-r1
     Sun May  1 13:38:27 2011 >>> dev-libs/libdbusmenu-qt-0.8.2
     Sun May  1 13:55:31 2011 >>> app-text/poppler-0.16.5
     Sun May  1 13:58:09 2011 >>> dev-python/pycups-1.9.55
     Sun May  1 13:59:04 2011 >>> net-libs/glib-networking-2.28.6.1
     Sun May  1 14:07:07 2011 >>> net-libs/libsoup-2.34.1
     Sun May  1 14:11:45 2011 >>> sci-libs/clapack-3.2.1-r4
     Sun May  1 14:12:47 2011 >>> dev-scheme/guile-1.8.8-r1
     Sun May  1 14:16:44 2011 >>> net-libs/libsoup-gnome-2.34.1
     Sun May  1 15:15:04 2011 >>> kde-base/akregator-4.4.11.1
     Mon May  2 21:14:48 2011 >>> dev-libs/libgcrypt-1.5.0_beta1-r2
     Mon May  2 21:16:18 2011 >>> perl-core/Filter-1.390.0
     Mon May  2 21:24:01 2011 >>> virtual/notification-daemon-0
     Mon May  2 21:24:45 2011 >>> virtual/perl-Filter-1.390.0
     Mon May  2 21:27:48 2011 >>> media-libs/libcanberra-0.28-r1
     Mon May  2 22:52:25 2011 >>> kde-base/kdelibs-4.6.2-r3
     Mon May  2 22:55:50 2011 >>> kde-base/kdepim-l10n-4.4.11.1-r1
     Mon May  2 22:56:42 2011 >>> kde-base/akregator-4.4.11.1-r1

There were some more, but I think we can safely assume things like wine or enlightenment play no role here.

Whatever the cause is, I'm very happy to have the system tray back. Hope it stays like this.
Comment 88 Lamarque V. Souza 2011-05-04 05:09:14 UTC
*** Bug 272349 has been marked as a duplicate of this bug. ***
Comment 89 Michael Pyne 2011-05-04 05:34:47 UTC
I'm not sure /exactly/ what package would have changed this for you, but
looking more closely at the valgrind log, it seems to me that there is a
StatusNotifierItemSource that is being destroyed too early. Consider:

==27502== Invalid read of size 8
==27502==    at 0x73D15D8: KIconLoader::loadIcon(QString const&,
KIconLoader::Group, int, int, QStringList const&, QString*, bool) const
(kiconloader.cpp:1213)
>snip
Plasma::IconWidgetPrivate::decoration(QStyleOptionGraphicsItem const*, bool,
bool) (iconwidget.cpp:812)
==27502==    by 0x56689FE: Plasma::IconWidget::paint(QPainter*,
QStyleOptionGraphicsItem const*, QWidget*) (iconwidget.cpp:1128)
==27502==    by 0x21ACB1F2: SystemTray::DBusSystemTrayWidget::paint(QPainter*,
QStyleOptionGraphicsItem const*, QWidget*) (dbussystemtraywidget.cpp:189)
> snip

==27502==  Address 0x17615130 is 16 bytes inside a block of size 24 free'd
==27502==    at 0x4C27C4F: operator delete(void*) (vg_replace_malloc.c:387)
==27502==    by 0x81FC9AB: QObjectPrivate::deleteChildren() (in
/usr/lib64/qt4/libQtCore.so.4.7.1)
==27502==    by 0x81FA395: QObject::~QObject() (in
/usr/lib64/qt4/libQtCore.so.4.7.1)
==27502==    by 0x2213F6BF:
StatusNotifierItemSource::~StatusNotifierItemSource()
(statusnotifieritemsource.cpp:120)
==27502==    by 0x8201676: qDeleteInEventHandler(QObject*) (in
/usr/lib64/qt4/libQtCore.so.4.7.1)
> snip

Or in other words, SystemTray::DBusSystemTrayWidget is told to repaint, which
leads to calling KIconLoader::loadIcon(). But, the address read (I /think/ this
is the address of the KIconLoader itself) was freed when a
StatusNotifierItemSource was destroyed.

Qt only deletes QObjects that are children of a given object, so this shouldn't
be the global KIconLoader. As it turns out though, StatusNotifierItemSource can
create a custom icon loader (around line 229 of
plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp in
kde-runtime).

This custom icon loader only seems to be used if a custom "IconThemePath" is
sent over DBus along with a status update. I'm not sure what would be required
from the GUI to force or prevent this for debugging.

I'm also not sure why this effects the rest of Plasma. Perhaps the custom icon
loader gets established in the Qt<->KDE platform plugin by accident somehow?
Either way hopefully this helps troubleshoot further.
Comment 90 Alvin 2011-05-04 10:44:33 UTC
Created attachment 59603 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

Amarok crashed. On killing Amarok, plasma crashed.
Note that kded was already taking 100% CPU load (KDE bug 178228, Kubuntu bug 333944)

-- Backtrace (Reduced):
#6  0x00007f4579c0c5df in QString (this=0x2540075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x2540075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f4579c11feb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f4579c18d03 in KIconLoader::loadIcon (this=0x26c1090, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f4579c10c99 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 91 Eugen 2011-05-06 12:41:45 UTC
Created attachment 59688 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

Plasma desktop crash while i listening music in AmaroK.

-- Backtrace (Reduced):
#7  0xb6d17454 in QString (this=0xa1c0061, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#8  KIconEffect::fingerprint (this=0xa1c0061, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0xb6d1d352 in KIconLoaderPrivate::makeCacheKey (this=0xa1c004d, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0xb6d24398 in KIconLoader::loadIcon (this=0xa825370, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0xb6d1bd76 in KIconEngine::pixmap (this=0xab78358, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
Comment 92 Aaron J. Seigo 2011-05-06 15:10:29 UTC
Git commit a8d16682c31ef523ffebba6e19283a19cd5f5627 by Aaron Seigo.
Committed on 06/05/2011 at 15:19.
Pushed by aseigo into branch 'KDE/4.6'.

use a QWeakPointer on the KIconLoader passed in as there are no lifetime guarantees

usually KGlobal::iconLoader() is used, so this isn't an issue seen very often.
however, when a local KIconLoader is created, it is easy to get QIcons with a
KIconEngine that has a bad KIconLoader pointer in them. particularly as QIcon
is implicitly shared and easily passed around. the StatusNotifier Plasma DataEngine
was triggering this, though it would be trivial to run into this problem again
anytime a KIconLoader is created locally

thankfully, QWeakPointer does the job and is very fast and light. (confirmed
both with my own testing and confirmation from Thiago).

massive thanks to Michael Pyne for detecting the cause of the problem via Valgrind.

BUG:258706

M  +22   -11   kdeui/icons/kiconengine.cpp     
M  +1    -1    kdeui/icons/kiconengine_p.h     

http://commits.kde.org/kdelibs/a8d16682c31ef523ffebba6e19283a19cd5f5627
Comment 93 Aaron J. Seigo 2011-05-06 15:10:29 UTC
Git commit e7951201a19a4439b6ad95440c6de9b6b3620e45 by Aaron Seigo.
Committed on 06/05/2011 at 15:19.
Pushed by aseigo into branch 'master'.

use a QWeakPointer on the KIconLoader passed in as there are no lifetime guarantees

usually KGlobal::iconLoader() is used, so this isn't an issue seen very often.
however, when a local KIconLoader is created, it is easy to get QIcons with a
KIconEngine that has a bad KIconLoader pointer in them. particularly as QIcon
is implicitly shared and easily passed around. the StatusNotifier Plasma DataEngine
was triggering this, though it would be trivial to run into this problem again
anytime a KIconLoader is created locally

thankfully, QWeakPointer does the job and is very fast and light. (confirmed
both with my own testing and confirmation from Thiago).

massive thanks to Michael Pyne for detecting the cause of the problem via Valgrind.

BUG:258706

M  +22   -11   kdeui/icons/kiconengine.cpp     
M  +1    -1    kdeui/icons/kiconengine_p.h     

http://commits.kde.org/kdelibs/e7951201a19a4439b6ad95440c6de9b6b3620e45
Comment 94 Aaron J. Seigo 2011-05-06 15:29:28 UTC
*** Bug 196490 has been marked as a duplicate of this bug. ***
Comment 95 Wonko 2011-05-06 15:51:01 UTC
FINALLY! Thanks Michael and Aaron, that was a really nasty one and I'm so glad it's fixed.
Comment 96 Aaron J. Seigo 2011-05-06 17:17:15 UTC
*** Bug 272571 has been marked as a duplicate of this bug. ***
Comment 97 Aaron J. Seigo 2011-05-06 17:17:36 UTC
*** Bug 272470 has been marked as a duplicate of this bug. ***
Comment 98 Aaron J. Seigo 2011-05-06 17:18:33 UTC
*** Bug 272552 has been marked as a duplicate of this bug. ***
Comment 99 Michael Pyne 2011-05-07 06:16:41 UTC
I'd also like to specifically note the usefulness of Lamarque Souza's Valgrind debugging effort, especially as I've never personally experienced this bug (to my knowledge).
Comment 100 Dario Andres 2011-05-07 20:22:00 UTC
*** Bug 272711 has been marked as a duplicate of this bug. ***
Comment 101 Lamarque V. Souza 2011-05-08 02:29:39 UTC
(In reply to comment #99)
> I'd also like to specifically note the usefulness of Lamarque Souza's Valgrind
> debugging effort, especially as I've never personally experienced this bug (to
> my knowledge).

Thanks. I am glad the valgrind log helped to solve this bug.
Comment 102 Lamarque V. Souza 2011-05-08 02:44:25 UTC
*** Bug 272703 has been marked as a duplicate of this bug. ***
Comment 103 Dario Andres 2011-05-10 00:58:26 UTC
*** Bug 272885 has been marked as a duplicate of this bug. ***
Comment 104 Dario Andres 2011-05-11 02:09:58 UTC
*** Bug 272908 has been marked as a duplicate of this bug. ***
Comment 105 Dario Andres 2011-05-11 02:09:59 UTC
*** Bug 272989 has been marked as a duplicate of this bug. ***
Comment 106 Maxim Prohorenko 2011-05-11 16:46:06 UTC
Created attachment 59907 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

Amarok frizzed while play music.

I kill them from console.

Plasma died too.

-- Backtrace (Reduced):
#6  QString (other=) at /usr/include/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x100000027, group=0, state=0) at /usr/src/debug/kdelibs-4.6.2/kdeui/icons/kiconeffect.cpp:169
#8  0x000000308bbeb06b in KIconLoaderPrivate::makeCacheKey (this=<optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at /usr/src/debug/kdelibs-4.6.2/kdeui/icons/kiconloader.cpp:782
#9  0x000000308bbf235e in KIconLoader::loadIcon (this=0x13c28f0, _name=<optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at /usr/src/debug/kdelibs-4.6.2/kdeui/icons/kiconloader.cpp:1226
#10 0x000000308bbe9de9 in KIconEngine::pixmap (this=<optimized out>, size=..., mode=<optimized out>, state=<optimized out>) at /usr/src/debug/kdelibs-4.6.2/kdeui/icons/kiconengine.cpp:93
Comment 107 Aaron J. Seigo 2011-05-11 18:25:01 UTC
@Maxim Prohorenko: this bug has already been fixed. the fix is not in 4.6.2, however. thank you for reporting further, but it is not necessary due to the issue being resolved. :)
Comment 108 Dario Andres 2011-05-12 00:56:18 UTC
*** Bug 273053 has been marked as a duplicate of this bug. ***
Comment 109 Andras Hamori 2011-05-13 10:22:48 UTC
Created attachment 59959 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Exiting Amarok, which was responsive.

- Unusual behavior I noticed:
Plasma crashed.

-- Backtrace (Reduced):
#6  0x00007f3bde0d65df in QString (this=0x27c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x27c0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f3bde0dbfeb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f3bde0e2d03 in KIconLoader::loadIcon (this=0x235cd50, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f3bde0dac99 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 110 Dawid de Jager 2011-05-13 23:52:23 UTC
Created attachment 59979 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Amarok running in background loading files (only)

- Custom settings of the application:
None

-- Backtrace (Reduced):
#6  0x00007f6d831115df in QString (this=0x1a40075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x1a40075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f6d83116feb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f6d8311dd03 in KIconLoader::loadIcon (this=0xddb7a0, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f6d83115c99 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 111 Troy Cotter 2011-05-14 21:01:57 UTC
Created attachment 59998 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.3

Was listening to music on Amarok, when I quit the application it seg faulted plasma desktop.

-- Backtrace (Reduced):
#6  0x00007ff7421d653f in QString (this=0x3640075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x3640075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007ff7421dc07b in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=17, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007ff7421e3111 in KIconLoader::loadIcon (this=0x364d800, _name=<value optimized out>, group=KIconLoader::Desktop, size=17, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007ff7421dad20 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 112 Dario Andres 2011-05-15 00:33:10 UTC
*** Bug 273249 has been marked as a duplicate of this bug. ***
Comment 113 Dario Andres 2011-05-15 00:33:13 UTC
*** Bug 273218 has been marked as a duplicate of this bug. ***
Comment 114 Dario Andres 2011-05-15 00:33:16 UTC
*** Bug 273211 has been marked as a duplicate of this bug. ***
Comment 115 Dario Andres 2011-05-15 00:33:18 UTC
*** Bug 273157 has been marked as a duplicate of this bug. ***
Comment 116 Dario Andres 2011-05-15 00:33:58 UTC
Clearing CC list. Sorry for the noise
Comment 117 Dario Andres 2011-05-15 00:41:24 UTC
*** Bug 273297 has been marked as a duplicate of this bug. ***
Comment 118 Dario Andres 2011-05-15 00:50:26 UTC
*** Bug 273310 has been marked as a duplicate of this bug. ***
Comment 119 p92 2011-05-15 10:04:52 UTC
Created attachment 60016 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.2

- What I was doing when the application crashed:
amarok was crashing then plasma crashed also.


- Unusual behavior I noticed:

Sorry for the noise, but if this bug is fixed, but not in 4.6.2
 I can produce it in KDE 4.6.3 !

-- Backtrace (Reduced):
#6  0x00007fec7563f6ef in QString (this=0x5b5005c, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x5b5005c, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007fec756450fb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007fec7564be13 in KIconLoader::loadIcon (this=0x5bba610, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007fec75643da9 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 120 J Bolos 2011-05-16 17:57:10 UTC
I'm still experiencing this bug (plasma segfaults when closing Amarok) with KDE 4.6.3 and Amarok 2.4.1 :(
Comment 121 Chemtox 2011-05-17 02:37:28 UTC
This is fixed in 4.6.4, as it clearly says in the bug page.  4.6.4 will come out the 6 of June, Murphy willing.

As a workaround for those not living in the edge, you could try disabling the systray icon in Amarok's config.
Comment 122 Lamarque V. Souza 2011-05-19 21:34:58 UTC
*** Bug 273611 has been marked as a duplicate of this bug. ***
Comment 123 Lamarque V. Souza 2011-05-19 21:36:35 UTC
*** Bug 273628 has been marked as a duplicate of this bug. ***
Comment 124 Lamarque V. Souza 2011-05-19 21:37:20 UTC
*** Bug 273530 has been marked as a duplicate of this bug. ***
Comment 125 Bernhard Jungk 2011-05-19 22:00:11 UTC
This is maybe a dumb question ... but I'm still getting duplicate reports from this bug, although "view bug activity" says that I'm removed from the CC. How do I get rid of that?
Comment 126 Chemtox 2011-05-19 23:58:21 UTC
>
> This is maybe a dumb question ... but I'm still getting duplicate reports
> from
> this bug, although "view bug activity" says that I'm removed from the CC.
> How
> do I get rid of that?
>

Remove your vote from the  bug.  The notifications always tell you:

------- You are receiving this mail because: -------

>  You are a voter for the bug.
>
Comment 127 Nicolas L. 2011-05-20 09:11:43 UTC
*** Bug 273499 has been marked as a duplicate of this bug. ***
Comment 128 Nicolas L. 2011-05-20 09:11:50 UTC
*** Bug 273578 has been marked as a duplicate of this bug. ***
Comment 129 Nicolas L. 2011-05-20 09:11:56 UTC
*** Bug 273663 has been marked as a duplicate of this bug. ***
Comment 130 Dario Andres 2011-05-22 17:21:50 UTC
*** Bug 273832 has been marked as a duplicate of this bug. ***
Comment 131 Dario Andres 2011-05-22 17:21:53 UTC
*** Bug 273679 has been marked as a duplicate of this bug. ***
Comment 132 Dario Andres 2011-05-22 17:21:58 UTC
*** Bug 273593 has been marked as a duplicate of this bug. ***
Comment 133 Dario Andres 2011-05-22 17:22:02 UTC
*** Bug 273383 has been marked as a duplicate of this bug. ***
Comment 134 Dario Andres 2011-05-22 17:22:05 UTC
*** Bug 273373 has been marked as a duplicate of this bug. ***
Comment 135 Lamarque V. Souza 2011-05-24 20:42:19 UTC
*** Bug 273943 has been marked as a duplicate of this bug. ***
Comment 136 Lamarque V. Souza 2011-05-24 20:42:27 UTC
*** Bug 273972 has been marked as a duplicate of this bug. ***
Comment 137 Lamarque V. Souza 2011-05-24 20:42:35 UTC
*** Bug 273988 has been marked as a duplicate of this bug. ***
Comment 138 Christoph Feck 2011-05-27 00:33:59 UTC
*** Bug 274131 has been marked as a duplicate of this bug. ***
Comment 139 Aaron J. Seigo 2011-05-27 12:50:12 UTC
*** Bug 274239 has been marked as a duplicate of this bug. ***
Comment 140 Beat Wolf 2011-05-28 19:40:58 UTC
*** Bug 274348 has been marked as a duplicate of this bug. ***
Comment 141 Beat Wolf 2011-05-30 22:24:25 UTC
*** Bug 274548 has been marked as a duplicate of this bug. ***
Comment 142 Beat Wolf 2011-06-03 15:27:13 UTC
*** Bug 274676 has been marked as a duplicate of this bug. ***
Comment 143 Beat Wolf 2011-06-03 15:28:17 UTC
*** Bug 274698 has been marked as a duplicate of this bug. ***
Comment 144 Beat Wolf 2011-06-03 15:33:58 UTC
*** Bug 274781 has been marked as a duplicate of this bug. ***
Comment 145 Beat Wolf 2011-06-03 15:38:39 UTC
*** Bug 274830 has been marked as a duplicate of this bug. ***
Comment 146 Beat Wolf 2011-06-04 10:38:51 UTC
*** Bug 274864 has been marked as a duplicate of this bug. ***
Comment 147 Dario Andres 2011-06-05 15:41:20 UTC
*** Bug 274898 has been marked as a duplicate of this bug. ***
Comment 148 Dario Andres 2011-06-05 15:41:23 UTC
*** Bug 274932 has been marked as a duplicate of this bug. ***
Comment 149 Dario Andres 2011-06-05 15:41:25 UTC
*** Bug 274934 has been marked as a duplicate of this bug. ***
Comment 150 Dario Andres 2011-06-05 15:41:28 UTC
*** Bug 274969 has been marked as a duplicate of this bug. ***
Comment 151 Christoph Cullmann 2011-06-05 17:32:58 UTC
*** Bug 268975 has been marked as a duplicate of this bug. ***
Comment 152 Nicolas L. 2011-06-06 11:50:14 UTC
*** Bug 275005 has been marked as a duplicate of this bug. ***
Comment 153 Lamarque V. Souza 2011-06-10 22:05:06 UTC
*** Bug 275323 has been marked as a duplicate of this bug. ***
Comment 154 Dario Andres 2011-06-11 17:52:39 UTC
*** Bug 275395 has been marked as a duplicate of this bug. ***
Comment 155 Dario Andres 2011-06-11 17:52:42 UTC
*** Bug 275386 has been marked as a duplicate of this bug. ***
Comment 156 Dario Andres 2011-06-11 17:52:45 UTC
*** Bug 275310 has been marked as a duplicate of this bug. ***
Comment 157 Dario Andres 2011-06-11 17:52:47 UTC
*** Bug 275246 has been marked as a duplicate of this bug. ***
Comment 158 Dario Andres 2011-06-11 17:53:05 UTC
*** Bug 275227 has been marked as a duplicate of this bug. ***
Comment 159 Dario Andres 2011-06-11 17:53:08 UTC
*** Bug 275086 has been marked as a duplicate of this bug. ***
Comment 160 Dario Andres 2011-06-11 17:53:12 UTC
*** Bug 275138 has been marked as a duplicate of this bug. ***
Comment 161 Dario Andres 2011-06-11 17:54:00 UTC
Clearing CC list
Comment 162 Dario Andres 2011-06-11 18:00:26 UTC
*** Bug 275141 has been marked as a duplicate of this bug. ***
Comment 163 Anne-Marie Mahfouf 2011-06-14 21:05:03 UTC
*** Bug 275643 has been marked as a duplicate of this bug. ***
Comment 164 Dario Andres 2011-06-19 00:28:24 UTC
*** Bug 275966 has been marked as a duplicate of this bug. ***
Comment 165 Dario Andres 2011-06-19 00:28:26 UTC
*** Bug 275909 has been marked as a duplicate of this bug. ***
Comment 166 Dario Andres 2011-06-19 00:28:33 UTC
*** Bug 275753 has been marked as a duplicate of this bug. ***
Comment 167 Beat Wolf 2011-06-20 15:35:09 UTC
*** Bug 275871 has been marked as a duplicate of this bug. ***
Comment 168 Beat Wolf 2011-06-20 15:51:27 UTC
*** Bug 276080 has been marked as a duplicate of this bug. ***
Comment 169 Christoph Feck 2011-06-23 04:53:24 UTC
*** Bug 276256 has been marked as a duplicate of this bug. ***
Comment 170 Christoph Feck 2011-06-23 04:54:31 UTC
*** Bug 276223 has been marked as a duplicate of this bug. ***
Comment 171 Nicolas L. 2011-06-26 00:22:40 UTC
*** Bug 276332 has been marked as a duplicate of this bug. ***
Comment 172 Nicolas L. 2011-06-26 00:22:45 UTC
*** Bug 276408 has been marked as a duplicate of this bug. ***
Comment 173 Dario Andres 2011-06-26 14:13:47 UTC
*** Bug 276393 has been marked as a duplicate of this bug. ***
Comment 174 Lamarque V. Souza 2011-07-07 13:32:18 UTC
*** Bug 277264 has been marked as a duplicate of this bug. ***
Comment 175 Dario Andres 2011-07-08 22:36:30 UTC
*** Bug 277093 has been marked as a duplicate of this bug. ***
Comment 176 Dario Andres 2011-07-08 22:36:32 UTC
*** Bug 277129 has been marked as a duplicate of this bug. ***
Comment 177 Dario Andres 2011-07-08 22:36:34 UTC
*** Bug 277342 has been marked as a duplicate of this bug. ***
Comment 178 Dario Andres 2011-07-08 22:36:37 UTC
*** Bug 277359 has been marked as a duplicate of this bug. ***
Comment 179 Dario Andres 2011-07-08 22:36:39 UTC
*** Bug 277387 has been marked as a duplicate of this bug. ***
Comment 180 Dario Andres 2011-07-11 13:26:33 UTC
*** Bug 277543 has been marked as a duplicate of this bug. ***
Comment 181 viziouz 2011-07-13 01:01:29 UTC
Created attachment 61829 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Tried to close Amarok after it was freezed by internet radio station (from script Argentina Radio Stream) and KDE crashed.

-- Backtrace (Reduced):
#6  0x00007f0b43d225df in QString (this=0x3d5005c, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x3d5005c, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f0b43d27feb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=16, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f0b43d2ed03 in KIconLoader::loadIcon (this=0x2b7d130, _name=<value optimized out>, group=KIconLoader::Desktop, size=16, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f0b43d26c99 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 182 Lamarque V. Souza 2011-07-23 00:37:00 UTC
*** Bug 278297 has been marked as a duplicate of this bug. ***
Comment 183 Christoph Feck 2011-07-30 04:21:44 UTC
*** Bug 278642 has been marked as a duplicate of this bug. ***
Comment 184 Christoph Feck 2011-07-30 04:21:56 UTC
*** Bug 278819 has been marked as a duplicate of this bug. ***
Comment 185 marsu1 2011-08-03 20:43:19 UTC
Created attachment 62518 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.0

- What I was doing when the application crashed: My system was under high load, I was running 11.04 in Virtualbox and using Opera with about 50 opened tabs...
I closed Kopete because nobody was online and that's it!

-- Backtrace (Reduced):
#6  0x00007fa383e5ea7a in QString (this=0x2f40075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x2f40075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007fa383e624be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007fa383e6a544 in KIconLoader::loadIcon (this=0x2a37030, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007fa383e61070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 186 Christoph Feck 2011-08-09 14:21:05 UTC
*** Bug 279719 has been marked as a duplicate of this bug. ***
Comment 187 Christoph Feck 2011-08-12 00:09:38 UTC
*** Bug 279921 has been marked as a duplicate of this bug. ***
Comment 188 Christoph Feck 2011-08-12 00:10:24 UTC
*** Bug 279925 has been marked as a duplicate of this bug. ***
Comment 189 Christoph Feck 2011-08-12 00:11:35 UTC
*** Bug 279930 has been marked as a duplicate of this bug. ***
Comment 190 Dario Andres 2011-08-17 13:40:18 UTC
*** Bug 280233 has been marked as a duplicate of this bug. ***
Comment 191 Christoph Feck 2011-08-30 22:51:04 UTC
*** Bug 280747 has been marked as a duplicate of this bug. ***
Comment 192 Christoph Feck 2011-08-30 22:51:25 UTC
*** Bug 280786 has been marked as a duplicate of this bug. ***
Comment 193 Christoph Feck 2011-08-30 22:51:41 UTC
*** Bug 280843 has been marked as a duplicate of this bug. ***
Comment 194 Christoph Feck 2011-08-30 22:51:59 UTC
*** Bug 280903 has been marked as a duplicate of this bug. ***
Comment 195 Christoph Feck 2011-08-30 22:52:19 UTC
*** Bug 281050 has been marked as a duplicate of this bug. ***
Comment 196 Aaron J. Seigo 2011-09-08 00:08:29 UTC
*** Bug 281589 has been marked as a duplicate of this bug. ***
Comment 197 Lamarque V. Souza 2011-09-12 03:42:23 UTC
*** Bug 281847 has been marked as a duplicate of this bug. ***
Comment 198 Lamarque V. Souza 2011-09-23 14:06:40 UTC
*** Bug 282520 has been marked as a duplicate of this bug. ***
Comment 199 Dario Andres 2011-09-28 23:10:58 UTC
*** Bug 282991 has been marked as a duplicate of this bug. ***
Comment 200 Dario Andres 2011-09-28 23:11:05 UTC
*** Bug 282043 has been marked as a duplicate of this bug. ***
Comment 201 Dario Andres 2011-09-28 23:11:06 UTC
*** Bug 282025 has been marked as a duplicate of this bug. ***
Comment 202 Oleg 2011-10-04 05:17:18 UTC
Created attachment 64188 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Plasma crashed after Kopete close.
Плазма выдает ошибку при закрытии Kopete.
Так же при перезагрузке и выключении компьютера.

-- Backtrace (Reduced):
#7  0x01048454 in QString (this=0xa350048, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#8  KIconEffect::fingerprint (this=0xa350048, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0x0104e352 in KIconLoaderPrivate::makeCacheKey (this=0xa350034, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0x01055398 in KIconLoader::loadIcon (this=0xa80c838, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0x0104cd76 in KIconEngine::pixmap (this=0xa8084960, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
Comment 203 Thijs 2012-02-04 09:36:46 UTC
*** Bug 293140 has been marked as a duplicate of this bug. ***